{% set CodiceModulo = "REPORT_IS" %}
{% set Urn = "document:c_b406:imposta.soggiorno;riepilogo.trimestrale;report" %}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Tributi"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
sub_urn_list=""
uo_globo_list=""
descrizione="Riepilogo trimestrale imposta di soggiorno"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
istruzioni_compilazione="ATTENZIONE: questo modulo deve essere compilato con i dati del sottoscrivente."
istruzioni_invio=""
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="secondario"
urlhelp="/modulistica/moduli/{{ CodiceModulo }}"
verifica_pagamento="NO"
versione="1.1|06/10/2021"/>

<script type="text/javascript">

  function GetNotNullFloatFromValue(value) {

    var floatValue = value.replace(",", ".");

    if(floatValue!=='' && !isNaN(floatValue)) {
      return parseFloat(floatValue);
    }
    else {
      return 0;
    }

  }

</script>

{% endblock meta %}

{% block title %}
  Riepilogo trimestrale imposta di soggiorno
{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="5">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="'Riepilogo trimestrale imposta di soggiorno di ' + #Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()"/>

{{ intestazioni.intestazione_modulosecondario_senzabollo() }}

<h1 class="Modulo">
  Regolamento dell'imposta di soggiorno - Comunicazione trimestrale telematica
</h1>

<h2 class="Modulo">
  (approvato con Deliberazione del Consiglio Comunale n.6 del 30/01/2012 e successive modifiche e integrazioni)
</h2>

{{ anagrafica.cognome_nome("Titolare", "Il sottoscritto", "Richiedente", "visibility:visibility", "cursor:pointer", "visibility:visibility") }}
<br>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
          della struttura ricettiva
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Denominazione struttura ricettiva
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_Denominiazione_struttura" name="Parametri_Denominiazione_struttura" style="width: 100%;" label="Denominazione struttura ricettiva" mandatory="true">
      </td>
    </tr>
  </tbody>
</table>
<br>
<h3 class="Modulo">
  COMUNICA
</h3>

<br/>
<globo_salto_pagina></globo_salto_pagina>
{% for i in range(1, 4) %}
  
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Mese
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Anno
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}" name="Parametri_Mese{{ i }}" style="width: 100%;" label="Mese" mandatory="true">
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Anno{{ i }}" name="Parametri_Anno{{ i }}" style="width: 100%;" label="Anno" mandatory="true">
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey; margin-top: -1px;">
  <tbody>
    <tr>
      <td colspan="4" style="background-color:#eeeeee;">
        <p style="text-align: center;">
          <b>PRESENZE</b>
        </p>
      </td>
    </tr>
    <tr>
      <td style="width: 5%;background-color:#eeeeee;">
        <p>
          <b>Voce</b>
        </p>
      </td>
      <td colspan="2" style="width: 85%;background-color:#eeeeee;">
        <p>
          <b>Descrizione</b>
        </p>
      </td>
      <td style="width: 10%;background-color:#eeeeee;">
        <p>
          <b>Quantità</b>
        </p>
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          A
        </p>
      </td>
      <td colspan="2">
        <p>
          Totale presenze rilevate
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaA" name="Parametri_Mese{{ i }}_QuantitaA" style="width: 100%;" label="Quantità A" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          B
        </p>
      </td>
      <td colspan="2">
        <p>
          Presenze senza pernottamento
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaB" name="Parametri_Mese{{ i }}_QuantitaB" style="width: 100%;" label="Quantità B" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          C
        </p>
      </td>
      <td colspan="2" style="background-color:#eeeeee;">
        <p>
          Totale pernottamenti: C = A – B
        </p>
      </td>
      <td style="border: 2px solid black;background-color:#eeeeee;">
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaC" name="Parametri_Mese{{ i }}_QuantitaC" style="width: 100%;" label="Quantità C" dynamic_value="GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaA.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaB.value())" readonly="readonly">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          D
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti di residenti, esclusi dall’imposta
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaD" name="Parametri_Mese{{ i }}_QuantitaD" style="width: 100%;" label="Quantità D" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          E
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti non soggetti a imposta, in quanto eccedenti il numero massimo tassabile
          <span style="font-size:70%">
            <i>(Articolo 1, commi 2 e 2-bis, del Regolamento)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaE" name="Parametri_Mese{{ i }}_QuantitaE" style="width: 100%;" label="Quantità E" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          F
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti esenti da imposta, perché relativi a minori fino a 12 anni
          <span style="font-size:70%">
            <i>(Articolo 3, comma 1, lettera a) del Regolamento)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaF" name="Parametri_Mese{{ i }}_QuantitaF" style="width: 100%;" label="Quantità F" format="number">
      </td>
    </tr>
    <tr>
      <td rowspan="2" style="background-color:#eeeeee;">
        <p style="text-align: center;">
          G
        </p>
      </td>
      <td rowspan="2">
        <p>
          Pernottamenti esenti da imposta, perché relativi ad autisti di pullman e/o a guide turistiche, queste ultime nella misura di una ogni 15 turisti 
          <span style="font-size:70%">
            <i>(Articolo 3, comma 1, lettera b) del Regolamento)</i>
          </span>
        </p>
      </td>
      <td style="background-color:#eeeeee;">
        <p class="Labelcella" style="text-align: center;">
          N. gruppi
        </p>
      </td>
      <td rowspan="2">
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaG" name="Parametri_Mese{{ i }}_QuantitaG" style="width: 100%;" label="Quantità G" format="number">
      </td>
    </tr>
    <tr>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaG1" name="Parametri_Mese{{ i }}_QuantitaG1" style="width: 100%;" label="Numero gruppi mese {{ i }}" format="number" mandatory_enabled="GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaG.value()) > 0 ? true : false">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          H
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti esenti da imposta, perché relativi a personale della struttura ricettiva che ivi presta servizio 
          <span style="font-size:70%">
            <i>(Articolo 3, comma 1, lettera c) del Regolamento)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaH" name="Parametri_Mese{{ i }}_QuantitaH" style="width: 100%;" label="Quantità H" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          I
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti esenti da imposta per motivi di emergenza 
          <span style="font-size:70%">
            <i>(Articolo 3, comma 2, del Regolamento)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaI" name="Parametri_Mese{{ i }}_QuantitaI" style="width: 100%;" label="Quantità I" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          J
        </p>
      </td>
      <td colspan="2" style="background-color:#eeeeee;">
        <p>
          Totale pernottamenti soggetti a imposta: J = C – D – E – F – G – H – I
        </p>
      </td>
      <td style="border: 2px solid black;background-color:#eeeeee;">
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaJ" name="Parametri_Mese{{ i }}_QuantitaJ" style="width: 100%;" label="Quantità J" dynamic_value="GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaC.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaD.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaE.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaF.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaG.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaH.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaI.value())" readonly="readonly">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          K
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti di contribuenti che ancora non hanno versato l’imposta 
          <span style="font-size:70%">
            <i>(soggiorni ancora in corso alla fine del mese)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaK" name="Parametri_Mese{{ i }}_QuantitaK" style="width: 100%;" label="Quantità K" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          L
        </p>
      </td>
      <td colspan="2">
        <p>
          Pernottamenti per i quali l’imposta è riferita al mese precedente
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaL" name="Parametri_Mese{{ i }}_QuantitaL" style="width: 100%;" label="Quantità L" format="number">
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          M
        </p>
      </td>
      <td colspan="2" style="background-color:#eeeeee;">
        <p>
          Totale pernottamenti da considerare ai fini del riversamento dell’imposta: M = J – K - L
        </p>
      </td>
      <td style="border: 2px solid black;background-color:#eeeeee;">
        <input class="inputNormal" id="Parametri_Mese{{ i }}_QuantitaM" name="Parametri_Mese{{ i }}_QuantitaM" style="width: 100%;" label="Quantità M" dynamic_value="GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaJ.value()) - GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaK.value()) + GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaL.value())" readonly="readonly">
      </td>
    </tr>
  </tbody>
</table>

<br/>

<table class="Modulo" style="border: 0; margin-top: -1px;">
  <tbody>
    <tr>
      <td colspan="5" style="background-color:#eeeeee;">
        <p style="text-align: center;">
          <b>DETTAGLIO CONTABILE</b>
        </p>
      </td>
    </tr>
    <tr>
      <td style="width: 5%;background-color:#eeeeee;">
        <p>
          <b>Voce</b>
        </p>
      </td>
      <td style="width: 45%;background-color:#eeeeee;">
        <p>
          <b>Descrizione</b>
        </p>
      </td>
      <td style="width: 10%;background-color:#eeeeee;">
        <p>
          <b>Quantità</b>
        </p>
      </td>
      <td style="width: 20%;background-color:#eeeeee;">
        <p>
          <b>Importo unitario</b>
        </p>
      </td>
      <td style="width: 20%;background-color:#eeeeee;">
        <p>
          <b>Importo totale</b>
        </p>
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          1
        </p>
      </td>
      <td>
        <p>
          Pernottamenti soggetti a tariffa intera
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_Quantita1" name="Parametri_Mese{{ i }}_Quantita1" style="width: 100%;" label="Quantità voce 1" format="positive_float">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Mese{{ i }}_ImportoUnitario1" name="Parametri_Mese{{ i }}_ImportoUnitario1" style="width: 80%;" label="Importo unitario voce 1" format="positive_float"> €
        </p>
      </td>
      <td style="border: 2px solid black;">
        <p>
          <input class="inputNormal" id="Parametri_Mese{{ i }}_ImportoTotale1" name="Parametri_Mese{{ i }}_ImportoTotale1" style="width: 80%;" label="Importo totale voce 1" dynamic_value="parseFloat(GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_Quantita1.value()) * GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_ImportoUnitario1.value())).toFixed(2)" readonly="readonly"> €
        </p>
      </td>
    </tr>
    <tr>
      <td style="background-color:#eeeeee;">
        <p style="text-align: center;">
          2
        </p>
      </td>
      <td>
        <p>
          Pernottamenti soggetti a tariffa ridotta
          <br>
          <span style="font-size:70%">
            <i>(per gruppi turistici organizzati di almeno 15 turisti)</i>
          </span>
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_Quantita2" name="Parametri_Mese{{ i }}_Quantita2" style="width: 100%;" label="Quantità voce 2" format="positive_float">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Mese{{ i }}_ImportoUnitario2" name="Parametri_Mese{{ i }}_ImportoUnitario2" style="width: 80%;" label="Importo unitario voce 2" format="positive_float"> €
        </p>
      </td>
      <td style="border: 2px solid black;">
        <p>
          <input class="inputNormal" id="Parametri_Mese{{ i }}_ImportoTotale2" name="Parametri_Mese{{ i }}_ImportoTotale2" style="width: 80%;" label="Importo totale voce 2" dynamic_value="parseFloat(GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_Quantita2.value()) * GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_ImportoUnitario2.value())).toFixed(2)" readonly="readonly"> €
        </p>
      </td>
    </tr>
    <tr style="border: 0;">
      <td style="border: 0;">
        
      </td>
      <td style="border: 0;">
        
      </td>
      <td colspan="2" style="background-color:#eeeeee;">
        <p>
          <b>Totale imposta da riversare</b>
        </p>
      </td>
      <td style="border: 2px solid black;">
        <p>
          <input class="inputNormal" id="Parametri_Mese{{ i }}_TotaleImposta" name="Parametri_Mese{{ i }}_TotaleImposta" style="width: 80%;" label="Totale imposta da riversare" dynamic_value="parseFloat(GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_ImportoTotale1.value()) + GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_ImportoTotale2.value())).toFixed(2)" readonly="readonly"> €
        </p>
      </td>
    </tr>
  </tbody>
</table>

<br>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p style="text-align: center;">
          <b>CONTRIBUENTI EVASORI</b>
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p>
          Pernottamenti la cui <b>imposta è pagata dal gestore della struttura ricettiva</b>, con diritto di rivalsa ne confronti degli evasori 
          <span style="font-size:70%">
            <i>(art. 4, comma 1-ter, del D.Lgs. n. 23/2011) </i>
          </span>
          – I pernottamenti di evasori <b><u>NON DEVONO ESSERE SOTTRATTI</u></b> da quelli indicati per il riversamento di cui alla voce M (dato comunicato solo per fini statistici)
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Mese{{ i }}_Evasori" name="Parametri_Mese{{ i }}_Evasori" style="width: 100%;" label="Contribuenti evasori" format="positive_float">
      </td>
    </tr>
  </tbody>
</table>

<input class="inputNormal" id="Parametri_Mese{{ i }}_Check" type="hidden" mandatory="GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_Quantita1.value()) + GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_Quantita2.value()) == GetNotNullFloatFromValue(#Parametri_Mese{{ i }}_QuantitaM.value()) ? false : true" name="Parametri_Mese{{ i }}_Check" style="width: 100%;"  label="Le quantità inserite nelle presenze e nel dettaglio contabile non coincidono nel mese {{ i }}" />

<br/>
<globo_salto_pagina></globo_salto_pagina>
{% endfor %}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Eventuali annotazioni
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width: 100%; height: 5cm;" label="Eventuali annotazioni"></textarea>
      </td>
    </tr>
  </tbody>
</table>

<br/>
{{ utils.firma_hidden() }}
<br/>

<p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}